Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.deploy
Class DeploymentProgressImpl

    java.lang.Object
      com.sun.appserv.management.base.MapCapableBase
          com.sun.appserv.management.deploy.DeploymentProgressImpl

All Implemented Interfaces:
  DeploymentProgress, MapCapable

public final class DeploymentProgressImpl
extends MapCapableBase
implements DeploymentProgress

Use DeploymentSupport to create a new instance of this class.

Field Summary

Fields inherited from interface com.sun.appserv.management.deploy.DeploymentProgress
`DEPLOYMENT_PROGRESS_CLASS_NAME, DESCRIPTION_KEY, LOCALIZED_DESCRIPTION_KEY_BASE, PROGRESS_PERCENT_KEY`

Fields inherited from interface com.sun.appserv.management.base.MapCapable
`MAP_CAPABLE_CLASS_NAME_KEY`

Constructor Summary
`DeploymentProgressImpl(byte progressPercent, java.lang.String description, java.util.Map other)` Create a new instance with explicit params
`DeploymentProgressImpl(DeploymentProgress src)` Create a new instance based on another.
`DeploymentProgressImpl(java.util.Map m)` Create a new instance.

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getLocalizedDescription(java.util.Locale locale)`
`static java.lang.String` | `getLocalizedDescriptionKey(java.util.Locale locale)`
`java.lang.String` | `getMapClassName()` Return the interface that this Map represents (the Java classname).
`byte` | `getProgressPercent()`
`protected boolean` | `validate()` Return true if internal state is valid, false otherwise.

Methods inherited from class com.sun.appserv.management.base.MapCapableBase
`asMap, checkInJavaUtil, checkLegalObject, checkLegalObject, checkValidType, equals, getboolean, getBoolean, getByte, getField, getFile, getInteger, getMap, getObject, getString, getStringArray, illegalObject, makeImmutable, putAll, putField, putFieldHook, toString, validateNullOrOfType, validateThrow`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.appserv.management.base.MapCapable
`asMap`

Constructor Detail

### DeploymentProgressImpl

    public DeploymentProgressImpl(DeploymentProgress src)

  Create a new instance based on another.

### DeploymentProgressImpl

    public DeploymentProgressImpl(byte progressPercent,
                                  java.lang.String description,
                                  java.util.Map other)

  Create a new instance with explicit params

Parameters:
  `progressPercent` -
  `description` -
  `other` - other values, see this( Map m )

### DeploymentProgressImpl

    public DeploymentProgressImpl(java.util.Map m)

  Create a new instance. The Map must contain the following keyed values:
  - `MapCapable`.MAP_CAPABLE_TYPE_KEY with value DEPLOYMENT_PROGRESS_CLASS_NAME
  - PROGRESS_PERCENT_KEY
  - DESCRIPTION_KEY

  The map may contain also contain localized descriptions. See `DeploymentProgress`.LOCALIZED_DESCRIPTION_KEY_BASE.

Parameters:
  `m` - a Map representing a DeploymentProgress

Method Detail

### validate

    protected boolean validate()

  Description copied from class: `MapCapableBase`
  Return true if internal state is valid, false otherwise.

  Specified by:
    `validate` in class `MapCapableBase`

### getMapClassName

    public java.lang.String getMapClassName()

  Description copied from interface: `MapCapable`
  Return the interface that this Map represents (the Java classname).

  Specified by:
    `getMapClassName` in interface `MapCapable`
  Overrides:
    `getMapClassName` in class `MapCapableBase`

### getLocalizedDescriptionKey

    public static java.lang.String getLocalizedDescriptionKey(java.util.Locale locale)

### getProgressPercent

    public byte getProgressPercent()

  Specified by:
    `getProgressPercent` in interface `DeploymentProgress`
  Returns:
    the deployment progress number between 0 and 100 (deployment finished). This number is purely indicative and cannot be used to calculate actual remaining time

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `DeploymentProgress`
  Returns:
    the last meaningful description of the current deployment operation

### getLocalizedDescription

    public java.lang.String getLocalizedDescription(java.util.Locale locale)

  Specified by:
    `getLocalizedDescription` in interface `DeploymentProgress`
  Returns:
    the last meaningful localized description of the current deployment operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.